Bug 257777 - networkmanager control doesn't allow save keys as UNENCRYPTED
Summary: networkmanager control doesn't allow save keys as UNENCRYPTED
Status: RESOLVED FIXED
Alias: None
Product: Network Management
Classification: Unclassified
Component: Control Module (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal with 21 votes (vote)
Target Milestone: ---
Assignee: Will Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-24 14:08 UTC by David Heidelberg
Modified: 2011-04-02 11:33 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Heidelberg 2010-11-24 14:08:26 UTC
Version:           unspecified (using KDE 4.5.3) 
OS:                Linux

Lastest SVN version from 24.11.2010 (At revision 1200250.) doesn't allow me to choose unencrypted storage and force me to use kwallet.



Reproducible: Always

Steps to Reproduce:
1. remove .kde4/share/config/networkmanagment
2. login to kde
3. go to setting networkmanager applet
4. choose "Other"
5. Select unencrypted

Actual Results:  
after clicking "OK" button, nothing changed. When going through this process again, preselected is kwallet and it use kwalletd.

Expected Results:  
When changing to unencrypted, it should really save as unencrypted and apply setting what I choosen.

KDE 4.5.3 compiled, knetworkmanager from svn.
Comment 1 george panta 2011-01-09 14:42:19 UTC
Same bug using git 20110105 plasmoid and KDE 4.6 RC2.

Unencrypted storage is select-able but the setting is not applied. Even if the setting is written in the rc file, I am prompted at connection to confirm the WPA key.

So I guess PlainText storage method is broken in master.
Comment 2 Vasyl Demin 2011-02-19 23:21:11 UTC
Same problem with KDE 4.6 and kdeplasma-applets-networkmanagement git20110126
Comment 3 Lamarque V. Souza 2011-03-15 17:11:34 UTC
Git commit 83792d6807f86fa09f40a01f1aba2ebeb404e82f by Lamarque V. Souza.
Committed on 15/03/2011 at 16:56.
Pushed by lvsouza into branch 'master'.

Applying secrets: do not save secrets if user asked for it.
Thanks Andrey Borzenkov for this patch.

REVIEW: 100859
BUG: 257777

M  +1    -0    libs/internals/connectionpersistence.cpp     
M  +2    -2    libs/internals/kconfig_compiler.cpp     
M  +8    -8    libs/internals/settings/802-11-wireless-securitypersistence.cpp     
M  +6    -6    libs/internals/settings/802-1xpersistence.cpp     
M  +2    -2    libs/internals/settings/cdmapersistence.cpp     
M  +4    -4    libs/internals/settings/gsmpersistence.cpp     
M  +2    -2    libs/internals/settings/pppoepersistence.cpp     
M  +2    -2    libs/internals/settings/vpnpersistence.cpp     

http://commits.kde.org/networkmanagement/83792d6807f86fa09f40a01f1aba2ebeb404e82f
Comment 4 Andrey Borzenkov 2011-03-15 20:43:25 UTC
As author of this patch I am sorry to say that this patch does not fix it. Changing secrets storage is possible with plasma applet, but is not possible using KCM module. I.e.

- left click on applet, select "Change connections", "Other", change storage type; it works

- right click on applet, select "Configure ...", do the same - it does not work.

I will look as time permits.

Please reopen.
Comment 5 David Heidelberg 2011-04-01 20:08:33 UTC
still broken. It really possible that this issue doesn't bother anyone from devs??
Comment 6 Andrey Borzenkov 2011-04-01 21:06:37 UTC
(In reply to comment #5)
> still broken. It really possible that this issue doesn't bother anyone from
> devs??

Have you read comment #4?
Comment 7 David Heidelberg 2011-04-01 21:16:58 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > still broken. It really possible that this issue doesn't bother anyone from
> > devs??
> 
> Have you read comment #4?

yes
Comment 8 Andrey Borzenkov 2011-04-02 11:32:41 UTC
Git commit 52ff333ec4d73890dd419266085686010e0f9581 by Andrey Borzenkov.
Committed on 02/04/2011 at 11:35.
Pushed by borzenkov into branch 'master'.

save changed settings after exiting applet configuration interface

Caller of KCmoduleProxy is reponsible for saving changed settings.
Cf. http://api.kde.org/4.x-api/kdelibs-apidocs/plasma/html/classPlasma_1_1Applet.html#a92f9d3b1a842eeb55b9bb1d47cc64699

BUG: 257777

M  +12   -0    applet/networkmanager.cpp     
M  +2    -0    applet/networkmanager.h     

http://commits.kde.org/networkmanagement/52ff333ec4d73890dd419266085686010e0f9581
Comment 9 Andrey Borzenkov 2011-04-02 11:33:30 UTC
Git commit def208f2a4668c2925ecb2bfd6fcde9ff0b4dc9b by Andrey Borzenkov.
Committed on 02/04/2011 at 11:35.
Pushed by borzenkov into branch 'nm09'.

save changed settings after exiting applet configuration interface

Caller of KCmoduleProxy is reponsible for saving changed settings.
Cf. http://api.kde.org/4.x-api/kdelibs-apidocs/plasma/html/classPlasma_1_1Applet.html#a92f9d3b1a842eeb55b9bb1d47cc64699

BUG: 257777

M  +12   -0    applet/networkmanager.cpp     
M  +2    -0    applet/networkmanager.h     

http://commits.kde.org/networkmanagement/def208f2a4668c2925ecb2bfd6fcde9ff0b4dc9b